- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions

# QGraphicsPolygonItem Class Reference

Search for all occurrences

## Detailed Description

Definition at line 794 of file qgraphicsitem.h.

`#include <qgraphicsitem.h>`

Inheritance diagram for QGraphicsPolygonItem:
[legend]

List of all members.

## Public Types
enum | { Type = 5 }
## Public Member Functions
| QGraphicsPolygonItem (QGraphicsItem *parent=0, QGraphicsScene *scene=0)
| QGraphicsPolygonItem (const QPolygonF &polygon, QGraphicsItem *parent=0, QGraphicsScene *scene=0)
| ~QGraphicsPolygonItem ()
QPolygonF | polygon () const
void | setPolygon (const QPolygonF &polygon)
Qt::FillRule | fillRule () const
void | setFillRule (Qt::FillRule rule)
QRectF | boundingRect () const
QPainterPath | shape () const
bool | contains (const QPointF &point) const
void | paint (QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget=0)
bool | isObscuredBy (const QGraphicsItem *item) const
QPainterPath | opaqueArea () const
int | type () const
## Protected Member Functions
bool | supportsExtension (Extension extension) const
void | setExtension (Extension extension, const QVariant &variant)
QVariant | extension (const QVariant &variant) const

## Member Enumeration Documentation

anonymous enum

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Definition at line 827 of file qgraphicsitem.h.

    { Type = 5 };

## Constructor & Destructor Documentation

QGraphicsPolygonItem | ( | QGraphicsItem * | parent = `0`,
|  | QGraphicsScene * | scene = `0`
| ) |  |

QGraphicsPolygonItem | ( | const QPolygonF & | polygon,
|  | QGraphicsItem * | parent = `0`,
|  | QGraphicsScene * | scene = `0`
| ) |  |

~QGraphicsPolygonItem | ( |  | ) |

## Member Function Documentation

QPolygonF polygon | ( |  | ) | const

Search for all occurrences

void setPolygon | ( | const QPolygonF & | polygon | ) |

Search for all occurrences

Qt::FillRule fillRule | ( |  | ) | const

Search for all occurrences

void setFillRule | ( | Qt::FillRule | rule | ) |

Search for all occurrences

QRectF boundingRect | ( |  | ) | const `[virtual]`

Search for all occurrences

Implements QGraphicsItem.

QPainterPath shape | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

bool contains | ( | const QPointF & | point | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void paint | ( | QPainter * | painter,
|  | const QStyleOptionGraphicsItem * | option,
|  | QWidget * | widget = `0`
| ) |  | `[virtual]`

Search for all occurrences

Implements QGraphicsItem.

bool isObscuredBy | ( | const QGraphicsItem * | item | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractGraphicsShapeItem.

QPainterPath opaqueArea | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractGraphicsShapeItem.

int type | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

bool supportsExtension | ( | Extension | extension | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

void setExtension | ( | Extension | extension,
|  | const QVariant & | variant
| ) |  | `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

QVariant extension | ( | const QVariant & | variant | ) | const `[protected, virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

The documentation for this class was generated from the following file:

- QtGui/qgraphicsitem.h

QGraphicsPolygonItem QGraphicsPolygonItem QGraphicsPolygonItem QGraphicsPolygonItem QGraphicsPolygonItem QGraphicsPolygonItem QGraphicsPolygonItem QGraphicsPolygonItem QGraphicsPolygonItem QGraphicsPolygonItem
QGraphicsPolygonItem QGraphicsPolygonItem QGraphicsPolygonItem QGraphicsPolygonItem QGraphicsPolygonItem QGraphicsPolygonItem QGraphicsPolygonItem QGraphicsPolygonItem QGraphicsPolygonItem QGraphicsPolygonItem